> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mavapay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List stablecoin deposit addresses

> Retrieve all previously generated USDT deposit addresses for your account. Filter by currency using the `currency` query parameter.



## OpenAPI

````yaml get /collections/stablecoin/addresses
openapi: 3.0.1
info:
  title: Mavapay API
  description: API documentation for Mavapay
  license:
    name: MIT
  version: 1.0.0
  contact:
    name: Mavapay
    url: https://mavapay.co
    email: info@mavapay.co
servers:
  - url: https://staging.api.mavapay.co/api/v1
    description: Staging server
  - url: https://api.mavapay.co/api/v1
    description: Live server
security:
  - ApiKeyAuth: []
    bearerAuth: []
tags:
  - name: Price
    description: Price related endpoints
  - name: Payment Link
    description: Payment Link endpoints for creating and managing hosted payment pages
  - name: Collection
    description: >-
      Stablecoin collection endpoints for generating and listing USDT deposit
      addresses
  - name: Withdraw
    description: Withdraw funds from Mavapay wallets to external accounts or addresses
paths:
  /collections/stablecoin/addresses:
    get:
      tags:
        - Collection
      summary: List stablecoin deposit addresses
      description: >-
        Retrieve all previously generated USDT deposit addresses for your
        account. Filter by currency using the `currency` query parameter.
      operationId: listStablecoinAddresses
      parameters:
        - name: currency
          in: query
          description: Filter addresses by stablecoin. Currently only USDT is supported.
          schema:
            type: string
            enum:
              - USDT
          required: false
          example: USDT
      responses:
        '200':
          description: Deposit addresses retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ok
                  message:
                    type: string
                    example: Deposit addresses retrieved successfully
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/StablecoinDepositAddress'
              example:
                status: ok
                message: Deposit addresses retrieved successfully
                data:
                  - id: 41abd3c5-4fcd-4e8a-8c74-5702bb758f80
                    walletId: 69a7129f-0a0a-484d-968f-2601bce85149
                    address: '0xAdEd4E29eB636A5c6500c881812701eB0a7043A0'
                    network: ERC20
                    currency: USDT
                    memo: null
                    reference: Ry test 1
                    minAmount: '5'
                    maxAmount: '0'
                    createdAt: '2026-06-09T09:24:38.785Z'
                    updatedAt: '2026-06-09T09:24:38.785Z'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
        - bearerAuth: []
components:
  schemas:
    StablecoinDepositAddress:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: bdf9bbba-f562-4b10-abfb-b180404415b7
          description: The unique identifier for the deposit address
        walletId:
          type: string
          format: uuid
          example: 69a7129f-0a0a-484d-968f-2601bce85149
          description: The USDT wallet this address deposits into
        address:
          type: string
          example: '0x220303f911dbC38F09d13f8cC3ba8700f0Ca8C99'
          description: The on-chain address customers should send USDT to
        currency:
          type: string
          enum:
            - USDT
          example: USDT
        network:
          type: string
          description: >-
            The blockchain network. Responses typically return this in uppercase
            (e.g. `ERC20`).
          example: ERC20
        memo:
          type: string
          nullable: true
          description: >-
            Destination memo/tag if required by the network. `null` when not
            applicable.
          example: null
        reference:
          type: string
          description: The label supplied when the address was generated
          example: Theo test 1
        minAmount:
          type: string
          description: >-
            Minimum deposit amount in USDT. Deposits below this amount may not
            be credited. For example, `5` means 5 USDT.
          example: '5'
        maxAmount:
          type: string
          description: Maximum deposit amount in USDT. `0` means there is no maximum.
          example: '0'
        createdAt:
          type: string
          format: date-time
          example: '2026-08-20T10:09:46.288Z'
        updatedAt:
          type: string
          format: date-time
          example: '2026-08-20T10:09:46.288Z'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        status:
          type: string
          format: string
          example: error
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    bearerAuth:
      type: http
      scheme: bearer

````